Using the Reshade 3.0 beta with old framework?

More
4 years 1 month ago - 4 years 1 month ago #1 by Aelius Maximus
Using the Reshade 3.0 beta with old framework? was created by Aelius Maximus
Apparently this is possible, Has anyone tried this yet? Is it relatively easy? because i've pretty much exhausted all my options in trying to get it work, and if anything i am now genuinely curious how it can be done. I've already tried dropped the framework files (and folder structure into the same folder as the ReShade 3.0 dll and with both the old ReShade.fx and the new Reshade.fxh files,. I have also tried to point the effect search path to the old framework shader folder, but to no avail, any help would be much appreciated
Last edit: 4 years 1 month ago by Aelius Maximus.

Please Log in or Create an account to join the conversation.

More
4 years 1 month ago #2 by Aelius Maximus
Replied by Aelius Maximus on topic Using the Reshade 3.0 beta with old framework?
Wow, nothing, even though crosire stated that it was possible..

Please Log in or Create an account to join the conversation.

More
4 years 1 month ago - 4 years 1 month ago #3 by brussell
Replied by brussell on topic Using the Reshade 3.0 beta with old framework?
Seems like ReShade 3.0 doesn't accept relative file paths. You have to change the line "#include Common.fx" for every effect file under "ReShade/Shaders/CeeJay", "ReShade/Shaders/MartyMcFly" and "ReShade/Shaders/Otis" to "#include ReShade/Shaders/CeeJay/Common.fx", "#include ReShade/Shaders/MartyMcFly/Common.fx", and "#include ReShade/Shaders/Otis/Common.fx" accordingly.

Furthermore you have to delete the preprocessor definitions under the settings tab of the overlay.
Thats it.
Last edit: 4 years 1 month ago by brussell.

Please Log in or Create an account to join the conversation.

More
4 years 3 weeks ago #4 by Echo
First of all am really excited about Reshade 3.0. I wanted to try it myself. The Sharders from GitHub work, but was missing the SweetFX-CeeJay's-Shaders.
Tried the instructions of Brussell, but the SweetFX-settings didn't load (used Rehade v2.0.3 files)

Could you Brussel or someone else please explain more in steps/detail (which files to overwrite/keep/change) how to get SweetFX/CeeJay's-Shaders working from with Reshade 3.0?
This link github.com/crosire/reshade-shaders doesn't have them yet.

I apologize in advance if I missed something. Thanks in advance and I really appreciate, as many Reshade/Shaders users do, the work u guys put in your free time into this amazing tool(s) that makes our PC-gaming experience so much better. Thank you!

Please Log in or Create an account to join the conversation.

More
4 years 3 weeks ago #5 by bopper2010
Replied by bopper2010 on topic Using the Reshade 3.0 beta with old framework?
I believe the SweetFX shaders and others too require them to be ported over to ReShade 3.0 by the developers in order for them to work properly. ReShade 3.0 has some changes under the hood in terms of how the .fx files are organised and written so older ones probably will have issues. Im sure they are already working on porting these shaders over for 3.0 it will probably take some time as they are pretty busy.

Please Log in or Create an account to join the conversation.

More
4 years 3 weeks ago #6 by Echo
Completely understandable.
Thanks for the heads up and again we appreciate all the efforts and work that you guys put into (renewing) Reshade/Shaders/Textures.
Many thanks to you all!

Please Log in or Create an account to join the conversation.